Name:		rpcbind
Version:	0.2.2
%define subrel	1
Release:	%mkrel 1
Summary:	Universal Addresses to RPC Program Number Napper
License:	GPL
Group:		System/Servers
URL:		http://rpcbind.sourceforge.net/
Source0:	http://downloads.sourceforge.net/rpcbind/%{name}-%{version}.tar.bz2
Source2:	rpcbind.sysconfig
Source4:	rpcbind.service
Source5:	rpcbind.socket
Patch0:		rpcbind-0.2.1-CVE-2015-7236.patch
BuildRequires:	tirpc-devel >= 0.1.7
BuildRequires:	quota-devel
BuildRequires:	systemd-devel
Obsoletes:	portmap
Conflicts:	apparmor-profiles < 2.1-1.961.4md
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
The rpcbind utility is a server that converts RPC program numbers into
universal addresses.  It must be running on the host to be able to make RPC
calls on a server on that machine.

%prep
%setup -q
%patch0 -p1 -b .CVE-2015-7236

%build
%serverbuild

%configure2_5x \
    CFLAGS="$RPM_OPT_FLAGS -fpie" LDFLAGS="-pie" \
    --enable-warmstarts \
    --with-statedir="%{_localstatedir}/lib/%{name}" \
    --with-rpcuser="rpc" \
    --enable-debug

%make all

%install
install -d %{buildroot}%{_localstatedir}/lib/%{name}

install -d %{buildroot}/sbin
install -m 755 rpcbind %{buildroot}/sbin
install -m 755 rpcinfo %{buildroot}/sbin

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/rpcbind

install -d %{buildroot}%{_mandir}/man8
install -m 644 man/rpcbind.8 %{buildroot}%{_mandir}/man8/rpcbind.8
install -m 644 man/rpcinfo.8 %{buildroot}%{_mandir}/man8/rpcbind-rpcinfo.8

install -d %{buildroot}%{_unitdir}
install -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/rpcbind.service
install -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/rpcbind.socket

cat > README.mga << EOF

Because of file conflicts with glibc the following files has been renamed:

rpcinfo.8 -> rpcbind-rpcinfo.8

glibc also provides rpcinfo as /usr/sbin/rpcinfo, so the rpcinfo program
provided with this package is put in /sbin/rpcinfo
EOF


%pre
%_pre_useradd rpc %{_localstatedir}/lib/%{name} /sbin/nologin

%post 
%_post_service %{name}
# restart running services depending on portmapper
for service in amd autofs bootparamd clusternfs mcserv \
               nfs-common nfs-server \
               ypserv ypbind yppasswdd ypxfrd; do
    if [ -f /var/lock/subsys/$service ]; then
        /sbin/service $service restart > /dev/null 2>/dev/null || :
    fi
done

%preun
%_preun_service %{name}

%files
%doc AUTHORS ChangeLog README README.mga
%{_unitdir}/rpcbind.service
%{_unitdir}/rpcbind.socket
%config(noreplace) %{_sysconfdir}/sysconfig/rpcbind
/sbin/rpcbind
/sbin/rpcinfo
%{_mandir}/man8/*
%dir %attr(0700,rpc,rpc) %{_localstatedir}/lib/%{name}


%changelog
* Thu Sep 24 2015 luigiwalser <luigiwalser> 0.2.2-1.1.mga5
+ Revision: 883325
- add patch from suse via debian to fix CVE-2015-7236

* Tue Dec 02 2014 luigiwalser <luigiwalser> 0.2.2-1.mga5
+ Revision: 800325
- 0.2.2

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-5.mga5
+ Revision: 742976
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-4.mga5
+ Revision: 688700
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-3.mga4
+ Revision: 533632
- Mageia 4 Mass Rebuild

* Mon Sep 02 2013 luigiwalser <luigiwalser> 0.2.1-2.mga4
+ Revision: 474221
- fix BR for quota package split

* Tue Aug 20 2013 luigiwalser <luigiwalser> 0.2.1-1.mga4
+ Revision: 468535
- 0.2.1
- partial merge of systemd files from fedora

* Mon Jan 14 2013 umeabot <umeabot> 0.2.0-9.mga3
+ Revision: 380436
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 08 2012 guillomovitch <guillomovitch> 0.2.0-8.mga3
+ Revision: 279960
- drop sysinit support

* Sun May 20 2012 colin <colin> 0.2.0-7.mga2
+ Revision: 235959
- Ensure that common NFS services are started before any shares are mounted (mga#5890)

* Sat Apr 28 2012 tmb <tmb> 0.2.0-6.mga2
+ Revision: 233852
- Require rpm-helper >= 0.24.8-1 for systemd support

* Tue Mar 13 2012 guillomovitch <guillomovitch> 0.2.0-5.mga2
+ Revision: 223233
- drop apparmor support
- add systemd support
- rename README.urpmi to README.mga, a file renaming isn't worth a
  popup windows at install time...

* Sun Jan 23 2011 ennael <ennael> 0.2.0-4.mga1
+ Revision: 33368
- imported package rpcbind

